VEXXHOSTDocumentation
API referenceNotification channels

List notification channels

GET
/v1/notification_channels

Authorization

keystone
headerX-Auth-Token<token>

Query Parameters

project_id?string

The project whose channels to list. Defaults to your token's project; naming another project is refused with 403.

Response Body

OK

application/json
  1. response
channels*array<>|null
curl -X GET "https://example.com/v1/notification_channels"
{  "channels": [    {      "address": "string",      "created_at": "2019-08-24T14:15:22Z",      "created_by": "string",      "id": "string",      "name": "string",      "project_id": "string",      "secret": "string",      "status": "pending_confirmation",      "type": "string",      "url": "string"    }  ]}